Users
Update a user's role
Update a tenant user's role. Requires an admin.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
user_id*string
Resource identifier: user_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Idempotency-Key*string
A unique key for this intended write. Reuse it only for an identical retry.
Length
1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/users/123e4567-e89b-42d3-a456-426614174000" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{ "role": "ADMIN" }'{ "id": "123e4567-e89b-42d3-a456-426614174000", "email": "developer@example.com", "name": "Customer documents", "image_url": "https://storage.example.com/invoice-2026-09.pdf?signature=example", "role": "ADMIN", "locale": "en", "tenant_id": "123e4567-e89b-42d3-a456-426614174000", "created_at": "2026-09-04T12:00:00Z"}